The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Error: Premature end of script headers

Discussion in 'Database Discussions' started by kaizenwerks, Jan 27, 2006.

  1. kaizenwerks

    kaizenwerks Registered

    Joined:
    Jan 27, 2006
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    Error when running the mt-config.cgi

    Error:
    Internal Server Error
    The server encountered an internal error or misconfiguration and was unable to complete your request.

    Please contact the server administrator, webmaster@kaizenwerks.com and inform them of the time the error occurred, and anything you might have done that may have caused the error.

    More information about this error may be available in the server error log.

    Additionally, a 404 Not Found error was encountered while trying to use an ErrorDocument to handle the request.
    Apache/1.3.33 Server at www.kaizenwerks.com Port 80


    Steps:
    I have just finished ftping all the files using ascii with the exception of the mt-static files which I have uploaded using binary.

    I modified all the cgi files with the necessary permissions (755).

    Hosting Error Logs:
    [error] [client 207.212.20.10] Premature end of script headers: /home/kaizen/public_html/cgi-bin/mt/mt-config.cgi

    I did run the mt-check.cgi and I'm hoping I have the necessary scripts.

    Summary:
    DB_File

    Your server does not have DB_File installed, or DB_File requires another module that is not installed. DB_File is required if you want to use the Berkeley DB/DB_File backend. Please consult the installation instructions for help in installing DB_File.
    DBI (version >= 1.21)

    Your server has DBI installed (version 1.50).
    DBD::mysql

    Your server has DBD::mysql installed (version 3.0002).
    DBD::Pg (version >= 1.32)

    Either your server does not have DBD::Pg installed, the version that is installed is too old, or DBD::Pg requires another module that is not installed. DBI and DBD::Pg are required if you want to use the PostgreSQL database backend. Please consult the installation instructions for help in installing DBD::Pg.
    DBD::SQLite

    Your server does not have DBD::SQLite installed, or DBD::SQLite requires another module that is not installed. DBI and DBD::SQLite are required if you want to use the SQLite database backend. Please consult the installation instructions for help in installing DBD::SQLite.

    BTW is the DBHost the same as the shared IP?



    Any help would be greatly appreciated. I apologize I am new to all this. THX!
     
  2. xerophyte

    xerophyte Well-Known Member

    Joined:
    Mar 16, 2003
    Messages:
    216
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Canada
    Install the missing modules using /scripts/perlinstaller mdoule::name and try the script from the command line perl name.cgi ..

    Code:
    /scripts/perlinstaller mdoule::name
    
    check and see if you get any error if so fix it and try again with apache

    hope that helps
     
  3. ullalla

    ullalla Well-Known Member

    Joined:
    Jan 20, 2006
    Messages:
    192
    Likes Received:
    0
    Trophy Points:
    16
Loading...

Share This Page